#ifndef _COMM_LINK_PCF8574_H
#define _COMM_LINK_PCF8574_H

/**
 * @file comm-link-pcf8574.h
 *
 * Dfinitions relatives  une liaison I2C avec un module d'affichage
 * quip d'un adaptateur  base de PCF8574.
 */

#include "comm-link-abstract.h"

/**
 * Structure contenant les donnes de configuration de la liaison I2C.
 */
typedef struct {
	int i2cAddress;
} CommLinkPCF8574Config;

#ifndef _COMM_LINK_PCF8574_C
/**
 * Structure contenant l'implmentation de la liaison I2C.
 */
extern const CommLinkImpl COMM_LINK_PCF8574_IMPL;
#endif

#endif // _COMM_LINK_PCF8574_H
