#ifndef _TXT_DISPLAY_H
#define _TXT_DISPLAY_H

/**
 * @file txt-display.h
 *
 * Définitions relatives à l'écran du module d'affichage en mode texte.
 */

/**
 * Propriétés d'un écran en mode texte.
 */
typedef struct {
	int width;  /*!< Largeur d'affichage en nombre de caractères. */
	int height; /*!< Hauteur d'affichage en nombre de lignes. */
} TxtDisplay;

#endif // _TXT_DISPLAY_H

